Bug 106026 - When exporting a slideshow to .pptx are the paragraph top and bottom spacing not exported
Summary: When exporting a slideshow to .pptx are the paragraph top and bottom spacing ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Tor Lillqvist
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.2.6 target:5.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-15 14:19 UTC by Tor Lillqvist
Modified: 2017-03-12 16:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Original slideshow as .odp (10.62 KB, application/vnd.oasis.opendocument.presentation)
2017-02-15 14:25 UTC, Tor Lillqvist
Details
Exported to .pptx (20.76 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-02-15 14:26 UTC, Tor Lillqvist
Details
Exported to .pptx after fix (20.82 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-02-15 15:01 UTC, Tor Lillqvist
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2017-02-15 14:19:26 UTC
Description:
See sample .odt and .pptx that I will attach in a moment.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_3) AppleWebKit/602.4.8 (KHTML, like Gecko) Version/10.0.3 Safari/602.4.8
Comment 1 Tor Lillqvist 2017-02-15 14:25:39 UTC
Created attachment 131249 [details]
Original slideshow as .odp
Comment 2 Tor Lillqvist 2017-02-15 14:26:06 UTC
Created attachment 131250 [details]
Exported to .pptx
Comment 3 Commit Notification 2017-02-15 14:54:42 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d2b014edc0f466370023a35eb46548390ceb7fb2

tdf#106026: Export paragraph top and bottom margin to DrawingML

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Tor Lillqvist 2017-02-15 15:01:48 UTC
Created attachment 131253 [details]
Exported to .pptx after fix
Comment 5 Commit Notification 2017-02-16 10:45:09 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc64dd416ecd022daacc049b5a2b898f30719471&h=libreoffice-5-2

tdf#106026: Export paragraph top and bottom margin to DrawingML

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-02-16 10:45:16 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48acd5c5793edfec5d6b168fa39dcebc4500effe&h=libreoffice-5-3

tdf#106026: Export paragraph top and bottom margin to DrawingML

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 krishna [:kr1shna] 2017-03-12 16:04:49 UTC
verified.
Version: 5.4.0.0.alpha0+ / Build ID: febc116 / ls-4001 / android 5.1

top and bottom spacing arr exported correctly.
Comment 8 Xisco Faulí 2017-03-12 16:08:21 UTC
Moving to VERIFIED FIXED as per comment 7